## libkcddb 23.08.1

=== debian/changelog ===
libkcddb (4:23.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Update list of installed files from build logs.
  * Update symbols file.
  * Update build-deps with info from cmake.

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 12 Oct 2023 15:50:27 -0400
