=== libkcddb/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
 add_definitions(-DTRANSLATION_DOMAIN="libkcddb")
 
 set(KCDDB_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KCddb${QT_MAJOR_VERSION}")
-set(KCDDB_CMAKECONFIG_NAME "KF5Cddb")
+if (KF_MAJOR_VERSION STREQUAL "5")
+    set(KCDDB_CMAKECONFIG_NAME "KF5Cddb")
+else()
+    set(KCDDB_CMAKECONFIG_NAME "KCddb6")
+endif()
 
 ecm_setup_version(${libkcddb_VERSION}
     VARIABLE_PREFIX KCDDB
@@ -11,12 +15,33 @@
 )
 
 add_library(KCddb SHARED)
-add_library(KF5::Cddb ALIAS KCddb)
+if (KF_MAJOR_VERSION STREQUAL "5")
+    add_library(KF5::Cddb ALIAS KCddb)
+else()
+    add_library(KCddb6 ALIAS KCddb)
+endif()
+
+if (KF_MAJOR_VERSION STREQUAL "5")
+    set_target_properties(KCddb PROPERTIES
+        VERSION     ${KCDDB_VERSION}
+        SOVERSION   ${KCDDB_SOVERSION}
+        OUTPUT_NAME KF${KF_MAJOR_VERSION}Cddb
+        EXPORT_NAME Cddb
+    )
+else()
+    set_target_properties(KCddb PROPERTIES
+        VERSION     ${KCDDB_VERSION}
+        SOVERSION   ${KCDDB_SOVERSION}
+        OUTPUT_NAME KCddb6
+        EXPORT_NAME KCddb6
+    )
+endif()
+
 
 if(MUSICBRAINZ5_FOUND)
     set(musicbrainz_sources
        musicbrainz/musicbrainzlookup.cpp
-       musicbrainz/asyncmusicbrainzlookup.cpp)
+       musicbrainz/asyncmusicbrainzlookup.cpp musicbrainz/asyncmusicbrainzlookup.h)
 
     if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
         set(enable_exceptions -EHsc)
@@ -40,38 +65,35 @@
 )
 
 target_sources(KCddb PRIVATE
-    cache.cpp
-    cdinfo.cpp
-    config.cpp
-    client.cpp
-    kcddb.cpp
+    cache.cpp cache.h
+    cdinfo.cpp cdinfo.h
+    config.cpp config.h
+    client.cpp client.h
+    kcddb.cpp kcddb.h
     cddb.cpp
     lookup.cpp
-    cddbplookup.cpp
-    synccddbplookup.cpp
-    asynccddbplookup.cpp
-    httplookup.cpp
+    cddbplookup.cpp cddbplookup.h
+    synccddbplookup.cpp synccddbplookup.h
+    asynccddbplookup.cpp asynccddbplookup.h
+    httplookup.cpp httplookup.h
     synchttplookup.cpp
-    asynchttplookup.cpp
-    smtpsubmit.cpp
-    asyncsmtpsubmit.cpp
-    syncsmtpsubmit.cpp
+    asynchttplookup.cpp asynchttplookup.h
     submit.cpp
-    sites.cpp
+    sites.cpp sites.h
     httpsubmit.cpp
-    asynchttpsubmit.cpp
+    asynchttpsubmit.cpp asynchttpsubmit.h
     synchttpsubmit.cpp
-    categories.cpp
-    genres.cpp
+    categories.cpp categories.h
+    genres.cpp genres.h
     ${musicbrainz_sources}
 )
 
 target_link_libraries(KCddb
     PUBLIC
-        KF5::ConfigGui
+        KF${KF_MAJOR_VERSION}::ConfigGui
     PRIVATE
-        KF5::I18n
-        KF5::KIOCore
+        KF${KF_MAJOR_VERSION}::I18n
+        KF${KF_MAJOR_VERSION}::KIOCore
         Qt${QT_MAJOR_VERSION}::Network
 )
 
@@ -81,6 +103,18 @@
 
 if(MUSICBRAINZ5_FOUND)
     target_link_libraries(KCddb PRIVATE musicbrainz)
+endif()
+
+if (QT_MAJOR_VERSION STREQUAL "5")
+    set(_generate_export_header_version_args)
+else()
+    # For Qt6/KF6 world transitively include the version header
+    if(ECM_VERSION VERSION_LESS "5.106")
+        set(include_version_header_code "#include <kcddb_version.h>\n")
+        set(_generate_export_header_version_args CUSTOM_CONTENT_FROM_VARIABLE include_version_header_code)
+    else()
+        set(_generate_export_header_version_args USE_VERSION_HEADER)
+    endif()
 endif()
 
 ecm_generate_export_header(KCddb
@@ -89,18 +123,12 @@
     DEPRECATED_BASE_VERSION 5.0.0
     DEPRECATION_VERSIONS 5.1
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
+    ${_generate_export_header_version_args}
 )
 
 target_include_directories(KCddb
     PUBLIC
         "$<INSTALL_INTERFACE:${KCDDB_INSTALL_INCLUDEDIR}>"
-)
-
-set_target_properties(KCddb PROPERTIES
-    VERSION ${KCDDB_VERSION}
-    SOVERSION ${KCDDB_SOVERSION}
-    OUTPUT_NAME KF5Cddb
-    EXPORT_NAME Cddb
 )
 
 ecm_generate_headers(KCddb_CamelCase_HEADERS
@@ -115,7 +143,11 @@
     REQUIRED_HEADERS KCddb_HEADERS
 )
 
-install(TARGETS KCddb EXPORT KCddbTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
+if (KF_MAJOR_VERSION STREQUAL "6")
+    install(TARGETS KCddb EXPORT KCddbTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+else()
+    install(TARGETS KCddb EXPORT KCddbTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
+endif()
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/kcddb_export.h
@@ -133,10 +165,15 @@
 
 install(FILES
     "${CMAKE_CURRENT_BINARY_DIR}/kcddb_version.h"
-    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}"
-    COMPONENT Devel
-)
-
+    DESTINATION "${KCDDB_INSTALL_INCLUDEDIR}"
+    COMPONENT Devel
+)
+
+if (KF_MAJOR_VERSION STREQUAL "5")
+    set(KCDDB_INCLUDE_DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KCddb")
+else()
+    set(KCDDB_INCLUDE_DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KCddb6")
+endif()
 # provide compat headers for old broken include path prefix KCddb/
 if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.1.0)
@@ -154,7 +191,7 @@
             set(NEW_INCLUDE "kcddb/${NEWHEADER_NAME}")
             configure_file(compatheader.h.in ${compat_header} @ONLY)
             install(FILES ${compat_header}
-                DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCddb
+                DESTINATION ${KCDDB_INCLUDE_DESTINATION}
                 COMPONENT Devel
             )
             # CamelCase header
@@ -162,7 +199,7 @@
             set(NEW_INCLUDE "KCDDB/${newclassname}")
             configure_file(compatheader.h.in ${compat_header} @ONLY)
             install(FILES ${compat_header}
-                DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCddb
+                DESTINATION ${KCDDB_INCLUDE_DESTINATION}
                 COMPONENT Devel
             )
         endforeach()
@@ -200,17 +237,30 @@
     COMPONENT Devel
 )
 
-install(EXPORT KCddbTargets
-    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-    FILE ${KCDDB_CMAKECONFIG_NAME}Targets.cmake
-    NAMESPACE KF5::
-    COMPONENT Devel
-)
+if (KF_MAJOR_VERSION STREQUAL "6")
+    install(EXPORT KCddbTargets
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        FILE ${KCDDB_CMAKECONFIG_NAME}Targets.cmake
+        COMPONENT Devel
+    )
+else()
+    install(EXPORT KCddbTargets
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        FILE ${KCDDB_CMAKECONFIG_NAME}Targets.cmake
+        NAMESPACE KF5::
+        COMPONENT Devel
+    )
+endif()
 
 include(ECMGeneratePriFile)
+if (KF_MAJOR_VERSION STREQUAL "5")
+    set(KCDDB_LIB_NAME KF${KF_MAJOR_VERSION}Cddb)
+else()
+    set(KCDDB_LIB_NAME libKCddb6)
+endif()
 ecm_generate_pri_file(
     BASE_NAME KCddb
-    LIB_NAME KF5Cddb
+    LIB_NAME ${KCDDB_LIB_NAME}
     DEPS "KConfigGui"
     FILENAME_VAR PRI_FILENAME
     INCLUDE_INSTALL_DIR ${KCDDB_INSTALL_INCLUDEDIR}
