=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
     foreach(test ${ARGN})
         add_executable(${test} ${test}.cpp)
         add_test(NAME ${test} COMMAND ${test})
-        target_link_libraries(${test} Qt5::Test KF5::Cddb)
+        target_link_libraries(${test} Qt${QT_MAJOR_VERSION}::Test KCddb)
         target_include_directories(${test}
             PRIVATE ${CMAKE_SOURCE_DIR} # for libkcddb/ prefixed includes of library headers
         )
@@ -21,8 +21,6 @@
     cachetest
     musicbrainztest-severaldiscs
     musicbrainztest-fulldate
-    syncsmtpsubmittest
-    asyncsmtpsubmittest
     asynchttpsubmittest
     synchttpsubmittest
     sitestest)
