## libkcddb 24.08.2

=== debian/changelog ===
libkcddb (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 14:11:15 +0000

libkcddb (4:24.08.1-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks/Replaces against libkf5cddb5.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Oct 2024 18:50:59 +0200

libkcddb (4:24.08.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.1).
  * Switch build to Qt6, update build-deps and deps with the info
    from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF6 debhelper build sequence.
  * Make kde-config-cddb depend on systemsettings and add lintian
    override for the command not being in the same package.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Oct 2024 00:01:17 +0200
