## libkcddb 25.07.80

=== debian/changelog ===
libkcddb (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:23:47 +0100

libkcddb (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:54:11 +0100

libkcddb (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:58:47 +0100

libkcddb (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:24 +0100

libkcddb (4:25.04.0-0ubuntu2) questing; urgency=medium

  * Mark a symbol optional on amd64 in questing.

 -- Rik Mills <rikmills@kde.org>  Thu, 01 May 2025 07:01:11 +0100

libkcddb (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:01:05 +0100
